Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class From

    java.lang.Object
      com.ibm.websphere.query.base.From

All Implemented Interfaces:
  IFrom, IStringBuilder, java.io.Serializable

    public class From

extends java.lang.Object
implements IFrom

This is a basic implementation of IFrom.

See Also:
  Serialized Form

Constructor Summary
`From(ITable table)`

Method Summary
`void` | `addJoin(IJoin join)`
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`IJoin[]` | `getJoins()`
`ITable` | `getTable()`
`void` | `setJoins(IJoin[] joins)`
`void` | `setJoins(java.util.List joins)`
`void` | `setTable(ITable table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### From

    public From(ITable table)

Method Detail

### getJoins

    public IJoin[] getJoins()

  Specified by:
    `getJoins` in interface `IFrom`
  See Also:
    `IFrom.getJoins()`

### getTable

    public ITable getTable()

  Specified by:
    `getTable` in interface `IFrom`
  See Also:
    `IFrom.getTable()`

### setJoins

    public void setJoins(IJoin[] joins)

  Specified by:
    `setJoins` in interface `IFrom`
  See Also:
    `IFrom.setJoins(IJoin[])`

### setJoins

    public void setJoins(java.util.List joins)

  See Also:
    `com.ibm.websphere.query.base.IFrom#setJoins(List)`

### setTable

    public void setTable(ITable table)

  Specified by:
    `setTable` in interface `IFrom`
  See Also:
    `IFrom.setTable(com.ibm.websphere.query.base.ITable)`

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`
  See Also:
    `com.ibm.websphere.query.base.IStringBuilder#buildString(com.ibm.websphere.query.base.ISelectQueryCallback2, java.lang.StringBuffer)`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### addJoin

    public void addJoin(IJoin join)

  Specified by:
    `addJoin` in interface `IFrom`
  See Also:
    `IFrom.addJoin(com.ibm.websphere.query.base.IJoin)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD